# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 基础配置

### 查询基础配置列表

**请求URL:** basic/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询基础配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
titleName|String|否|标题名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "titleName":"6era2r",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;titleName|String|标题名称
&emsp;&emsp;logoUrl|String|Logo图片地址
&emsp;&emsp;appletCode|String|小程序二维码图片地址
&emsp;&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;&emsp;saverTime|Integer|屏保时间单位分
&emsp;&emsp;saverPic|String|屏保图片地址
&emsp;&emsp;support|String|技术支持
&emsp;&emsp;sponsor|String|主办单位
&emsp;&emsp;organizer|String|承办单位
&emsp;&emsp;record|String|备案号
&emsp;&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看基础配置

**请求URL:** basic/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/basic/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;titleName|String|标题名称
&emsp;logoUrl|String|Logo图片地址
&emsp;appletCode|String|小程序二维码图片地址
&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;saverTime|Integer|屏保时间单位分
&emsp;saverPic|String|屏保图片地址
&emsp;carouselPic|String|轮播图图片地址
&emsp;support|String|技术支持
&emsp;sponsor|String|主办单位
&emsp;organizer|String|承办单位
&emsp;record|String|备案号
&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3919,
            "siteId":8115,
            "titleName":"xt28l4",
            "logoUrl":"nn41e3",
            "appletCode":"x9jke5",
            "wechatCode":"pyzvz6",
            "saverTime":7388,
            "saverPic":"rvkokl",
			"carouselPic":"rvkokl2",
            "support":"tt5lvv",
            "sponsor":"hh045v",
            "organizer":"ckbzx6",
            "record":"fjm96u",
            "elderEnable":3272,
            "createUserId":2537,
            "createTime":"2022-12-26",
            "updateUserId":6925,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新基础配置

**请求URL:** basic/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
titleName|String|是|标题名称
logoUrl|String|否|Logo图片地址
appletCode|String|否|小程序二维码图片地址
wechatCode|String|否|微信微博二维码图片地址
saverTime|Integer|否|屏保时间单位分
saverPic|String|否|屏保图片地址
carouselPic|String|否|轮播图图片地址
support|String|否|技术支持
sponsor|String|否|主办单位
organizer|String|否|承办单位
record|String|否|备案号
elderEnable|Integer|是|启用长辈模式0不启用1启用

**请求样例:**
```
{
    "siteId":4728,
    "titleName":"u4taao",
    "logoUrl":"un1idn",
    "appletCode":"j1rtuz",
    "wechatCode":"f7bb72",
    "saverTime":4492,
    "saverPic":"ywucai",
	"carouselPic":"rvkokl2",
    "support":"nbmrme",
    "sponsor":"yj05x0",
    "organizer":"lbtor6",
    "record":"szgube",
    "elderEnable":8572,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;titleName|String|标题名称
&emsp;&emsp;logoUrl|String|Logo图片地址
&emsp;&emsp;appletCode|String|小程序二维码图片地址
&emsp;&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;&emsp;saverTime|Integer|屏保时间单位分
&emsp;&emsp;saverPic|String|屏保图片地址
&emsp;&emsp;carouselPic|String|轮播图图片地址
&emsp;&emsp;support|String|技术支持
&emsp;&emsp;sponsor|String|主办单位
&emsp;&emsp;organizer|String|承办单位
&emsp;&emsp;record|String|备案号
&emsp;&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除基础配置

**请求URL:** basic/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除基础配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/basic/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 终端基础配置

**请求URL:** basic/setting/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看基础配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
siteId|Long|是|站点ID

**请求样例:**
```
{
    "siteId":8115
}
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;allApps|array|所有应用结果集
&emsp;showApps|array|基础应用展示结果集列表
&emsp;hotApps|array|热门应用展示结果集列表
&emsp;allAppsDesk|array|桌面终端所有应用结果集
&emsp;showAppsDesk|array|桌面终端基础应用展示结果集列表
&emsp;hotAppsDesk|array|桌面终端热门应用展示结果集列表
&emsp;basicInfo|object|数据对象
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;titleName|String|标题名称
&emsp;&emsp;logoUrl|String|Logo图片地址
&emsp;&emsp;appletCode|String|小程序二维码图片地址
&emsp;&emsp;wechatCode|String|微信微博二维码图片地址
&emsp;&emsp;saverTime|Integer|屏保时间单位分
&emsp;&emsp;saverPic|String|屏保图片地址
&emsp;&emsp;carouselPic|String|轮播图图片地址
&emsp;&emsp;support|String|技术支持
&emsp;&emsp;sponsor|String|主办单位
&emsp;&emsp;organizer|String|承办单位
&emsp;&emsp;record|String|备案号
&emsp;&emsp;elderEnable|Integer|启用长辈模式0不启用1启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "allApps":[],
            "showApps":[],
            "hotApps":[],
			"allAppsDesk":[],
            "showAppsDesk":[],
            "hotAppsDesk":[],
            "basicInfo": {
                "id": 1,
                "createUserId": 1,
                "createUserName": null,
                "createTime": "2022-12-26 14:32:21",
                "createUser": null,
                "deleted": 0,
                "createUserDeptId": null,
                "createUserDeptName": null,
                "updateUserId": null,
                "updateUserName": null,
                "updateTime": null,
                "updateUser": null,
                "updateUserDeptId": null,
                "updateUserDeptName": null,
                "tableName": null,
                "orderField": null,
                "orderKind": null,
                "page": null,
                "size": null,
                "showAppIds": null,
                "hotAppIds": null,
                "siteId": 1,
                "titleName": "标题名称",
                "logoUrl": "Logo图片地址",
                "appletCode": "小程序二维码图片地址",
                "wechatCode": "微信微博二维码图片地址",
                "saverTime": 5,
                "saverPic": "屏保图片地址",
				"carouselPic":"轮播图图片地址",
                "support": "技术支持",
                "sponsor": "主办单位",
                "organizer": "承办单位",
                "record": "备案号",
                "elderEnable": 1
            }
        }
}
```

### 保存基础配置

**请求URL:** basic/setting/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新基础配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
titleName|String|是|标题名称
logoUrl|String|否|Logo图片地址
appletCode|String|否|小程序二维码图片地址
wechatCode|String|否|微信微博二维码图片地址
saverTime|Integer|否|屏保时间单位分
saverPic|String|否|屏保图片地址
carouselPic|String|否|轮播图图片地址
support|String|否|技术支持
sponsor|String|否|主办单位
organizer|String|否|承办单位
record|String|否|备案号
elderEnable|Integer|是|启用长辈模式0不启用1启用
showAppIds|String|否|基础应用展示
hotAppIds|String|否|热门应用展示
deskShowAppIds|String|否|桌面终端基础应用展示
deskHotAppIds|String|否|桌面终端热门应用展示

**请求样例:**
```
{
    "siteId":1,
    "appletCode": "小程序二维码图片地址",
    "elderEnable": 1,
    "logoUrl": "Logo图片地址",
    "organizer": "承办单位",
    "record": "备案号",
    "saverPic": "屏保图片地址",
	"carouselPic":"轮播图图片地址",
    "saverTime": 5,
    "sponsor": "主办单位",
    "support": "技术支持",
    "titleName": "标题名称",
    "wechatCode": "微信微博二维码图片地址",
    "showAppIds":"2,3,4,5,6,7",
    "hotAppIds":"4,5,6,8,9,10",
	"deskShowAppIds":"1,2,4,5",
    "deskHotAppIds":"3,6,7"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```
### 查询用户站点列表

**请求URL:** basic/site/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户站点列表

**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|object|数据对象|-
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长|-
&emsp;&emsp;siteName|String|站点名称|-
&emsp;&emsp;siteCode|String|站点编号|-
&emsp;&emsp;areaID|String|区域Id|-
&emsp;&emsp;areaCode|String|区域编号|-
&emsp;&emsp;areaName|String|区域名称|-
&emsp;&emsp;proCode|String|省编码|-
&emsp;&emsp;cityCode|String|市编码|-
&emsp;&emsp;districtCode|String|区编码|-
&emsp;&emsp;siteIp|String|站点服务器ip|-
&emsp;&emsp;sitePort|String|站点服务器端口|-
&emsp;&emsp;longitude|String|经度|-
&emsp;&emsp;latitude|String|纬度|-
&emsp;&emsp;siteTel|String|中心联系电话|-
&emsp;&emsp;detailAddress|String|中心详细地址|-
&emsp;&emsp;siteRemark|String|中心介绍|-
&emsp;&emsp;amWorkStartTime|Date|上午上班开始时间|-
&emsp;&emsp;amWorkEndTime|Date|上午上班结束时间|-
&emsp;&emsp;pmWorkStartTime|Date|下午上班开始时间|-
&emsp;&emsp;pmWorkEndTime|Date|下午上班结束时间|-
&emsp;&emsp;workday1|Integer|周一 (1.上班，0.不上)|-
&emsp;&emsp;workday2|Integer|周二 (1.上班，0.不上)|-
&emsp;&emsp;workday3|Integer|周三 (1.上班，0.不上)|-
&emsp;&emsp;workday4|Integer|周四 (1.上班，0.不上)|-
&emsp;&emsp;workday5|Integer|周五 (1.上班，0.不上)|-
&emsp;&emsp;workday6|Integer|周六 (1.上班，0.不上)|-
&emsp;&emsp;workday7|Integer|周日 (1.上班，0.不上)|-
&emsp;&emsp;level|Integer|楼层|-
&emsp;&emsp;building|Integer|楼栋|-
&emsp;&emsp;modelIds|String|部署模块，逗号分隔|-
&emsp;&emsp;logoPath|String|设备logo地址
&emsp;&emsp;logoFullPath|String|设备logo全地址
&emsp;&emsp;englishName|String|站点英文名称
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;createTime|Date|创建时间|-
&emsp;&emsp;createUserId|Long|创建用户|-
&emsp;&emsp;updateTime|Date|修改时间|-

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 皮肤配置

### 查询皮肤配置列表

**请求URL:** sst/skin/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询皮肤配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
skinName|String|否|皮肤名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "skinName":"ga5dqg",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;skinName|String|皮肤名称
&emsp;&emsp;skinCode|String|皮肤编码
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看皮肤配置

**请求URL:** sst/skin/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看皮肤配置，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/skin/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;skinName|String|皮肤名称
&emsp;skinCode|String|皮肤编码
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4018,
            "siteId":1940,
            "skinName":"rk3hnt",
            "skinCode":"y7mhsv",
            "createUserId":5187,
            "createTime":"2022-12-26",
            "updateUserId":9247,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新皮肤配置

**请求URL:** sst/skin/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新皮肤配置：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
skinName|String|是|皮肤名称
skinCode|String|是|皮肤编码

**请求样例:**
```
{
    "siteId":316,
    "skinName":"im8tki",
    "skinCode":"s08158",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;skinName|String|皮肤名称
&emsp;&emsp;skinCode|String|皮肤编码
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除皮肤配置

**请求URL:** sst/skin/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除皮肤配置

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/skin/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 协议管理

### 查询协议管理列表

**请求URL:** sst/agreement/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询协议管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|协议名称,字段前后添加%%模糊查询
describe|String|否|协议描述,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"1t1oku",
        "describe":"syoca3",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|协议名称
&emsp;&emsp;describe|String|协议描述
&emsp;&emsp;content|String|协议内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看协议管理

**请求URL:** sst/agreement/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看协议管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/agreement/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;name|String|协议名称
&emsp;describe|String|协议描述
&emsp;content|String|协议内容
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9984,
            "siteId":7757,
            "name":"gclgjo",
            "describe":"imfdlp",
            "content":"4uojah",
            "createUserId":7508,
            "createTime":"2022-12-26",
            "updateUserId":6359,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新协议管理

**请求URL:** sst/agreement/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新协议管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
name|String|是|协议名称
describe|String|是|协议描述
content|String|否|协议内容

**请求样例:**
```
{
    "siteId":3035,
    "name":"zxikjp",
    "describe":"r01z0x",
    "content":"2p2u76",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|协议名称
&emsp;&emsp;describe|String|协议描述
&emsp;&emsp;content|String|协议内容
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除协议管理

**请求URL:** sst/agreement/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除协议管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/agreement/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 应用编排

### 查询应用编排列表

**请求URL:** sst/apps/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询应用编排

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|应用名称,字段前后添加%%模糊查询
describe|String|否|应用描述,字段前后添加%%模糊查询
url|String|否|应用访问地址,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"cjqt7h",
        "describe":"qa6csa",
        "url":"h47zen",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;&emsp;basicSort|Integer|基础应用排序号
&emsp;&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;&emsp;hotSort|Integer|热门应用排序号
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;appId|Long|应用id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看应用编排

**请求URL:** sst/apps/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看应用编排，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/apps/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;name|String|应用名称
&emsp;describe|String|应用描述
&emsp;url|String|应用访问地址
&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;basicSort|Integer|基础应用排序号
&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;hotSort|Integer|热门应用排序号
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;appId|Long|应用id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3714,
            "siteId":7982,
            "name":"8bolg1",
            "describe":"s0eyx3",
            "url":"jksuye",
            "showBasic":1323,
            "basicSort":2377,
            "showHot":851,
            "hotSort":7800,
            "createUserId":2098,
            "createTime":"2022-12-26",
            "updateUserId":5216,
            "updateTime":"2022-12-26",
            "appId":1164
        }
}
```

### 保存更新应用编排

**请求URL:** sst/apps/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新应用编排：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
name|String|否|应用名称
describe|String|否|应用描述
url|String|否|应用访问地址
showBasic|Integer|否|是否展示基础应用1是0否
basicSort|Integer|否|基础应用排序号
showHot|Integer|否|是否展示热门应用1是0否
hotSort|Integer|否|热门应用排序号
appId|Long|是|应用id

**请求样例:**
```
{
    "siteId":7721,
    "name":"pssmly",
    "describe":"86a6qm",
    "url":"7fk6pp",
    "showBasic":6613,
    "basicSort":8988,
    "showHot":662,
    "hotSort":9530,
    "appId":4446
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;&emsp;basicSort|Integer|基础应用排序号
&emsp;&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;&emsp;hotSort|Integer|热门应用排序号
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;appId|Long|应用id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除应用编排

**请求URL:** sst/apps/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除应用编排

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/apps/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 桌面终端应用编排

### 查询桌面终端应用编排列表

**请求URL:** sst/apps/desk/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询桌面终端应用编排

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|应用名称,字段前后添加%%模糊查询
describe|String|否|应用描述,字段前后添加%%模糊查询
url|String|否|应用访问地址,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"bcw7jb",
        "describe":"au8uua",
        "url":"crthic",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;appId|Long|应用id
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;&emsp;basicSort|Integer|基础应用排序号
&emsp;&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;&emsp;hotSort|Integer|热门应用排序号
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看桌面终端应用编排

**请求URL:** sst/apps/desk/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看桌面终端应用编排，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/apps/desk/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;appId|Long|应用id
&emsp;name|String|应用名称
&emsp;describe|String|应用描述
&emsp;url|String|应用访问地址
&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;basicSort|Integer|基础应用排序号
&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;hotSort|Integer|热门应用排序号
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8302,
            "siteId":4290,
            "appId":4481,
            "name":"smy8nc",
            "describe":"zcaz8j",
            "url":"87zhok",
            "showBasic":4580,
            "basicSort":6852,
            "showHot":2629,
            "hotSort":9319,
            "createUserId":4095,
            "createTime":"2023-04-09",
            "updateUserId":5444,
            "updateTime":"2023-04-09"
        }
}
```

### 保存更新桌面终端应用编排

**请求URL:** sst/apps/desk/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新桌面终端应用编排：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点id
appId|Long|是|应用id
name|String|否|应用名称
describe|String|否|应用描述
url|String|否|应用访问地址
showBasic|Integer|否|是否展示基础应用1是0否
basicSort|Integer|否|基础应用排序号
showHot|Integer|否|是否展示热门应用1是0否
hotSort|Integer|否|热门应用排序号

**请求样例:**
```
{
    "siteId":3066,
    "appId":4983,
    "name":"10rngp",
    "describe":"xkp4kf",
    "url":"fy0bkm",
    "showBasic":2413,
    "basicSort":9938,
    "showHot":4550,
    "hotSort":8704,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;appId|Long|应用id
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;showBasic|Integer|是否展示基础应用1是0否
&emsp;&emsp;basicSort|Integer|基础应用排序号
&emsp;&emsp;showHot|Integer|是否展示热门应用1是0否
&emsp;&emsp;hotSort|Integer|热门应用排序号
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除桌面终端应用编排

**请求URL:** sst/apps/desk/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除桌面终端应用编排

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/apps/desk/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 应用信息

### 查询应用信息列表

**请求URL:** apps/info/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询应用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
name|String|否|应用名称,字段前后添加%%模糊查询
describe|String|否|应用描述,字段前后添加%%模糊查询
url|String|否|应用访问地址,字段前后添加%%模糊查询
icon|String|否|图标,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "name":"xa53ma",
        "describe":"qx7la2",
        "url":"xsoufh",
        "icon":"1yk7dv",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;icon|String|图标
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;classify|Integer|应用分类
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看应用信息

**请求URL:** apps/info/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看应用信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/apps/info/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|应用名称
&emsp;describe|String|应用描述
&emsp;url|String|应用访问地址
&emsp;icon|String|图标
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;sort|Integer|排序号
&emsp;classify|Integer|应用分类
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7267,
            "name":"n1v4k6",
            "describe":"jcix26",
            "url":"jg6gj0",
            "icon":"u4vfmn",
            "createUserId":2457,
            "createTime":"2022-12-26",
            "updateUserId":9734,
            "updateTime":"2022-12-26",
            "sort":8521,
            "classify":1842
        }
}
```

### 保存更新应用信息

**请求URL:** apps/info/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新应用信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|应用名称
describe|String|否|应用描述
url|String|否|应用访问地址
icon|String|否|图标
sort|Integer|否|排序号
classify|Integer|否|应用分类

**请求样例:**
```
{
    "name":"6ui20p",
    "describe":"gn9ers",
    "url":"mqu93e",
    "icon":"bh1ym9",
    "sort":946,
    "classify":9578
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|应用名称
&emsp;&emsp;describe|String|应用描述
&emsp;&emsp;url|String|应用访问地址
&emsp;&emsp;icon|String|图标
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;classify|Integer|应用分类

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除应用信息

**请求URL:** apps/info/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除应用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/apps/info/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 终端设备

### 查询终端设备列表

**请求URL:** sst/device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询终端设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
deviceName|String|否|设备名称,字段前后添加%%模糊查询
deviceCode|String|否|设备编码,字段前后添加%%模糊查询
deviceType|Integer|否|设备类型1证照柜
deviceFirmname|String|否|设备厂商,字段前后添加%%模糊查询
status|Integer|否|设备状态，0：未激活，1：离线:2：在线
enabled|Integer|否|启停状态，0：停用,1：启用

**请求样例:**
```
  {
        "deviceName":"nostvu",
        "deviceCode":"o3gewn",
        "deviceType":9113,
        "deviceFirmname":"7n9pr1",
        "status":6929,
        "enabled":1766,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看终端设备

**请求URL:** sst/device/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看终端设备，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/sst/device/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deviceName|String|设备名称
&emsp;deviceCode|String|设备编码
&emsp;deviceType|Integer|设备类型1证照柜
&emsp;deviceMac|String|Mac地址
&emsp;deviceFirmname|String|设备厂商
&emsp;ip|String|设备IP地址
&emsp;port|String|端口号
&emsp;resolution|String|设备分辨率
&emsp;leadingOfficial|String|负责人
&emsp;telephone|String|负责人电话
&emsp;longitude|String|设备经度
&emsp;latitude|String|设备纬度
&emsp;building|Integer|所在楼宇
&emsp;floor|Integer|所在楼层
&emsp;managePWD|String|管理员密码
&emsp;remark|String|备注
&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9616,
            "deviceName":"32gku4",
            "deviceCode":"rxgatg",
            "deviceType":3654,
            "deviceMac":"2r38q1",
            "deviceFirmname":"yuelsb",
            "ip":"y5vgxj",
            "port":"5na2kr",
            "resolution":"2l8ji4",
            "leadingOfficial":"4uz6a2",
            "telephone":"0bmmku",
            "longitude":"ew75f4",
            "latitude":"d4o7pz",
            "building":5881,
            "floor":1944,
            "managePWD":"1caa1f",
            "remark":"drrrgj",
            "status":9781,
            "enabled":1671,
            "createUserId":5305,
            "createTime":"2022-12-26",
            "updateUserId":4561,
            "updateTime":"2022-12-26"
        }
}
```

### 保存更新终端设备

**请求URL:** sst/device/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新终端设备：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deviceName|String|是|设备名称
deviceCode|String|否|设备编码
deviceType|Integer|否|设备类型1证照柜
deviceMac|String|否|Mac地址
deviceFirmname|String|否|设备厂商
ip|String|否|设备IP地址
port|String|否|端口号
resolution|String|否|设备分辨率
leadingOfficial|String|否|负责人
telephone|String|否|负责人电话
longitude|String|否|设备经度
latitude|String|否|设备纬度
building|Integer|否|所在楼宇
floor|Integer|否|所在楼层
managePWD|String|否|管理员密码
remark|String|否|备注
status|Integer|否|设备状态，0：未激活，1：离线:2：在线
enabled|Integer|否|启停状态，0：停用,1：启用

**请求样例:**
```
{
    "deviceName":"ipyqe8",
    "deviceCode":"4nu7pm",
    "deviceType":3869,
    "deviceMac":"allrxs",
    "deviceFirmname":"uus32u",
    "ip":"csm2sh",
    "port":"9jutoi",
    "resolution":"grxmfj",
    "leadingOfficial":"n2cc3h",
    "telephone":"93wjk6",
    "longitude":"ongghl",
    "latitude":"pxm18d",
    "building":1624,
    "floor":2115,
    "managePWD":"l1dxsa",
    "remark":"5t3rkg",
    "status":7766,
    "enabled":3360,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除终端设备

**请求URL:** sst/device/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除终端设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/sst/device/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 申报事项

### 查询申报事项列表

**请求URL:** matter/apply/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询申报事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteName|String|否|站点名称,字段前后添加%%模糊查询
source|Integer|否|事项来源
govUrl|String|否|政务网地址,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "siteName":"715rjt",
        "source":1762,
        "govUrl":"xltor7",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;siteMatterId|Long|站点事项id
&emsp;&emsp;matterId|Long|事项ID
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;themeCode|String|事项主题
&emsp;&emsp;themeName|String|事项主题
&emsp;&emsp;source|Integer|事项来源
&emsp;&emsp;reportCount|Integer|申报次数
&emsp;&emsp;datumCount|Integer|材料数量
&emsp;&emsp;govUrl|String|政务网地址
&emsp;&emsp;isConvert|Integer|是否生成本地附件
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看申报事项

**请求URL:** matter/apply/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看申报事项，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/matter/apply/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;siteName|String|站点名称
&emsp;siteMatterId|Long|站点事项id
&emsp;matterId|Long|事项ID
&emsp;matterName|String|事项名称
&emsp;matterCode|String|事项编码
&emsp;deptId|Long|部门ID
&emsp;deptName|String|部门名称
&emsp;deptCode|String|部门编码
&emsp;themeCode|String|事项主题
&emsp;themeName|String|事项主题
&emsp;source|Integer|事项来源
&emsp;reportCount|Integer|申报次数
&emsp;datumCount|Integer|材料数量
&emsp;govUrl|String|政务网地址
&emsp;isConvert|Integer|是否生成本地附件
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":629,
            "siteId":1126,
            "siteName":"7elmxe",
            "siteMatterId":522,
            "matterId":7745,
            "matterName":"m0a0xx",
            "matterCode":"wdgskw",
            "deptId":2232,
            "deptName":"vnigtd",
            "deptCode":"nxakme",
            "themeCode":"tiq9vu",
            "themeName":"kf6o1h",
            "source":6260,
            "reportCount":4350,
            "datumCount":9099,
            "govUrl":"cdx2x5",
            "isConvert":8011,
            "createUserId":8971,
            "createTime":"2023-04-07",
            "updateUserId":5756,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新申报事项

**请求URL:** matter/apply/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新申报事项：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
siteName|String|否|站点名称
siteMatterId|Long|否|站点事项id
matterId|Long|否|事项ID
matterName|String|否|事项名称
matterCode|String|否|事项编码
deptId|Long|否|部门ID
deptName|String|否|部门名称
deptCode|String|否|部门编码
themeCode|String|否|事项主题
themeName|String|否|事项主题
source|Integer|否|事项来源
reportCount|Integer|否|申报次数
datumCount|Integer|否|材料数量
govUrl|String|否|政务网地址
isConvert|Integer|否|是否生成本地附件

**请求样例:**
```
{
    "siteId":2598,
    "siteName":"z0cr5s",
    "siteMatterId":2454,
    "matterId":3582,
    "matterName":"f663l7",
    "matterCode":"fyfzu7",
    "deptId":653,
    "deptName":"4cwulr",
    "deptCode":"qh8ud3",
    "themeCode":"blhmdu",
    "themeName":"hnl4q5",
    "source":6426,
    "reportCount":5312,
    "datumCount":5112,
    "govUrl":"9kqpo1",
    "isConvert":3293,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;siteMatterId|Long|站点事项id
&emsp;&emsp;matterId|Long|事项ID
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;deptId|Long|部门ID
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptCode|String|部门编码
&emsp;&emsp;themeCode|String|事项主题
&emsp;&emsp;themeName|String|事项主题
&emsp;&emsp;source|Integer|事项来源
&emsp;&emsp;reportCount|Integer|申报次数
&emsp;&emsp;datumCount|Integer|材料数量
&emsp;&emsp;govUrl|String|政务网地址
&emsp;&emsp;isConvert|Integer|是否生成本地附件
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除申报事项

**请求URL:** matter/apply/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除申报事项

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/apply/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 事项申请材料业务

### 查询事项申请材料业务列表

**请求URL:** matter/datum/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询事项申请材料业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;matterId|Long|事项基础表matter id
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
&emsp;&emsp;materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
&emsp;&emsp;materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）
&emsp;&emsp;electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
&emsp;&emsp;materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
&emsp;&emsp;paperNum|Integer|纸质材料份数
&emsp;&emsp;paperGg|String|纸质材料规格
&emsp;&emsp;jianmMs|String|减免模式（1.无，2.减，3.免）
&emsp;&emsp;sealWay|String|盖章方式
&emsp;&emsp;isjianm|String|是否减免（0.否，1.是）
&emsp;&emsp;isLack|String|材料是否容缺（1.必要，2.非必要）
&emsp;&emsp;ybUrl|String|材料地址
&emsp;&emsp;materialSourceSm|String|来源渠道说明
&emsp;&emsp;remarkSub|String|填报须知
&emsp;&emsp;clauseContent|String|要求提供材料的依据
&emsp;&emsp;summary|String|受理标准
&emsp;&emsp;remark|String|备注
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;isMust|object|字典属性对象，详见附录
&emsp;materialProperty|object|字典属性对象，详见附录
&emsp;electronicgs|object|字典属性对象，详见附录
&emsp;materialSource|object|字典属性对象，详见附录
&emsp;jianmMs|object|字典属性对象，详见附录
&emsp;isjianm|object|字典属性对象，详见附录
&emsp;isLack|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看事项申请材料业务

**请求URL:** matter/datum/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看事项申请材料业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/matter/datum/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;matterId|Long|事项基础表matter id
&emsp;materialName|String|材料名
&emsp;isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
&emsp;materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
&emsp;materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）
&emsp;electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
&emsp;materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
&emsp;paperNum|Integer|纸质材料份数
&emsp;paperGg|String|纸质材料规格
&emsp;jianmMs|String|减免模式（1.无，2.减，3.免）
&emsp;sealWay|String|盖章方式
&emsp;isjianm|String|是否减免（0.否，1.是）
&emsp;isLack|String|材料是否容缺（1.必要，2.非必要）
&emsp;ybUrl|String|材料地址
&emsp;materialSourceSm|String|来源渠道说明
&emsp;remarkSub|String|填报须知
&emsp;clauseContent|String|要求提供材料的依据
&emsp;summary|String|受理标准
&emsp;remark|String|备注
&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;isMust|object|字典属性对象，详见附录
&emsp;materialProperty|object|字典属性对象，详见附录
&emsp;electronicgs|object|字典属性对象，详见附录
&emsp;materialSource|object|字典属性对象，详见附录
&emsp;jianmMs|object|字典属性对象，详见附录
&emsp;isjianm|object|字典属性对象，详见附录
&emsp;isLack|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4859,
            "matterId":8423,
            "materialName":"ddllax",
            "isMust":"y4ip3c",
            "materialType":"870of6",
            "materialProperty":"oqhyl5",
            "electronicgs":"efp787",
            "materialSource":"2f9h5d",
            "paperNum":1595,
            "paperGg":"64cqc7",
            "jianmMs":"ea8unr",
            "sealWay":"098joa",
            "isjianm":"312dlm",
            "isLack":"r52a51",
            "ybUrl":"hjhjlo",
            "materialSourceSm":"t39sag",
            "remarkSub":"f3v26l",
            "clauseContent":"1gp9f0",
            "summary":"7tozai",
            "remark":"9ea1mg",
            "source":5179,
            "createTime":"2023-04-07",
            "createUserId":614,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新事项申请材料业务

**请求URL:** matter/datum/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新事项申请材料业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
matterId|Long|否|事项基础表matter id
materialName|String|是|材料名
isMust|String|否|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
materialType|String|否|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
materialProperty|String|否|材料形式（1.纸质，2.电子，3.纸质|电子）
electronicgs|String|否|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
materialSource|String|否|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
paperNum|Integer|否|纸质材料份数
paperGg|String|否|纸质材料规格
jianmMs|String|否|减免模式（1.无，2.减，3.免）
sealWay|String|否|盖章方式
isjianm|String|否|是否减免（0.否，1.是）
isLack|String|否|材料是否容缺（1.必要，2.非必要）
ybUrl|String|否|材料地址
materialSourceSm|String|否|来源渠道说明
remarkSub|String|否|填报须知
clauseContent|String|否|要求提供材料的依据
summary|String|否|受理标准
remark|String|否|备注
source|Integer|否|事项来源(0.政务网，1.自定义)

**请求样例:**
```
{
    "matterId":1119,
    "materialName":"ztn9ot",
    "isMust":"i2l7vr",
    "materialType":"iv5h7d",
    "materialProperty":"boih87",
    "electronicgs":"of4i3y",
    "materialSource":"4b4r25",
    "paperNum":9597,
    "paperGg":"om5raz",
    "jianmMs":"sbthqt",
    "sealWay":"o6wwj3",
    "isjianm":"g756gb",
    "isLack":"92foxp",
    "ybUrl":"iiov1b",
    "materialSourceSm":"xobx70",
    "remarkSub":"qs8rmp",
    "clauseContent":"bea56k",
    "summary":"nxm12u",
    "remark":"d0ykgp",
    "source":9622,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;matterId|Long|事项基础表matter id
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
&emsp;&emsp;materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
&emsp;&emsp;materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）
&emsp;&emsp;electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
&emsp;&emsp;materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
&emsp;&emsp;paperNum|Integer|纸质材料份数
&emsp;&emsp;paperGg|String|纸质材料规格
&emsp;&emsp;jianmMs|String|减免模式（1.无，2.减，3.免）
&emsp;&emsp;sealWay|String|盖章方式
&emsp;&emsp;isjianm|String|是否减免（0.否，1.是）
&emsp;&emsp;isLack|String|材料是否容缺（1.必要，2.非必要）
&emsp;&emsp;ybUrl|String|材料地址
&emsp;&emsp;materialSourceSm|String|来源渠道说明
&emsp;&emsp;remarkSub|String|填报须知
&emsp;&emsp;clauseContent|String|要求提供材料的依据
&emsp;&emsp;summary|String|受理标准
&emsp;&emsp;remark|String|备注
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除事项申请材料业务

**请求URL:** matter/datum/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除事项申请材料业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/datum/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 材料附件业务

### 查询材料附件业务列表

**请求URL:** matter/datum/file/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询材料附件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;datumId|Long|材料id
&emsp;&emsp;matterId|Long|事项基础表matter id
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;fileName|String|附件名称
&emsp;&emsp;fileUrl|String|附件下载地址
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)
&emsp;&emsp;localFileUrl|String|本地文件地址
&emsp;&emsp;previewUrl|String|文件预览地址
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;filetype|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看材料附件业务

**请求URL:** matter/datum/file/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看材料附件业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/matter/datum/file/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;datumId|Long|材料id
&emsp;matterId|Long|事项基础表matter id
&emsp;matterCode|String|事项编码
&emsp;materialName|String|材料名
&emsp;fileName|String|附件名称
&emsp;fileUrl|String|附件下载地址
&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)
&emsp;source|Integer|附件来源 (0.政务网，1.自定义)
&emsp;localFileUrl|String|本地文件地址
&emsp;previewUrl|String|文件预览地址
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;filetype|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9366,
            "datumId":1274,
            "matterId":6185,
            "matterCode":"lywskc",
            "materialName":"mt83yz",
            "fileName":"btpana",
            "fileUrl":"22qhns",
            "filetype":6195,
            "source":881,
            "localFileUrl":"s70j49",
            "previewUrl":"3f7vtt",
            "createTime":"2023-04-07",
            "createUserId":7695,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新材料附件业务

**请求URL:** matter/datum/file/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新材料附件业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
datumId|Long|是|材料id
matterId|Long|否|事项基础表matter id
matterCode|String|否|事项编码
materialName|String|是|材料名
fileName|String|否|附件名称
fileUrl|String|否|附件下载地址
filetype|Integer|否|附件类型 (1.示例样表，2.空白表格)
source|Integer|否|附件来源 (0.政务网，1.自定义)
localFileUrl|String|否|本地文件地址
previewUrl|String|否|文件预览地址

**请求样例:**
```
{
    "datumId":291,
    "matterId":4505,
    "matterCode":"qx8ir9",
    "materialName":"ikflg6",
    "fileName":"pxfdjc",
    "fileUrl":"8lkek6",
    "filetype":7055,
    "source":9237,
    "localFileUrl":"leob4v",
    "previewUrl":"y9sqi2",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;datumId|Long|材料id
&emsp;&emsp;matterId|Long|事项基础表matter id
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;fileName|String|附件名称
&emsp;&emsp;fileUrl|String|附件下载地址
&emsp;&emsp;filetype|Integer|附件类型 (1.示例样表，2.空白表格)
&emsp;&emsp;source|Integer|附件来源 (0.政务网，1.自定义)
&emsp;&emsp;localFileUrl|String|本地文件地址
&emsp;&emsp;previewUrl|String|文件预览地址
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除材料附件业务

**请求URL:** matter/datum/file/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除材料附件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/matter/datum/file/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 站点材料公共库

### 查询站点材料公共库列表

**请求URL:** datum/library/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点材料公共库

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteName|String|否|站点名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "siteName":"5xykn9",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;datumId|Long|材料id
&emsp;&emsp;matterId|Long|事项基础表matter id
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
&emsp;&emsp;materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
&emsp;&emsp;materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）
&emsp;&emsp;electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
&emsp;&emsp;materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
&emsp;&emsp;paperNum|Integer|纸质材料份数
&emsp;&emsp;paperGg|String|纸质材料规格
&emsp;&emsp;jianmMs|String|减免模式（1.无，2.减，3.免）
&emsp;&emsp;sealWay|String|盖章方式
&emsp;&emsp;isjianm|String|是否减免（0.否，1.是）
&emsp;&emsp;isLack|String|材料是否容缺（1.必要，2.非必要）
&emsp;&emsp;ybUrl|String|材料地址
&emsp;&emsp;materialSourceSm|String|来源渠道说明
&emsp;&emsp;remarkSub|String|填报须知
&emsp;&emsp;clauseContent|String|要求提供材料的依据
&emsp;&emsp;summary|String|受理标准
&emsp;&emsp;remark|String|备注
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;isMust|object|字典属性对象，详见附录
&emsp;materialProperty|object|字典属性对象，详见附录
&emsp;electronicgs|object|字典属性对象，详见附录
&emsp;materialSource|object|字典属性对象，详见附录
&emsp;jianmMs|object|字典属性对象，详见附录
&emsp;isjianm|object|字典属性对象，详见附录
&emsp;isLack|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看站点材料公共库

**请求URL:** datum/library/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看站点材料公共库，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/datum/library/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键，自增长
&emsp;siteId|Long|站点id
&emsp;siteName|String|站点名称
&emsp;datumId|Long|材料id
&emsp;matterId|Long|事项基础表matter id
&emsp;matterCode|String|事项编码
&emsp;matterName|String|事项名称
&emsp;materialName|String|材料名
&emsp;isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
&emsp;materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
&emsp;materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）
&emsp;electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
&emsp;materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
&emsp;paperNum|Integer|纸质材料份数
&emsp;paperGg|String|纸质材料规格
&emsp;jianmMs|String|减免模式（1.无，2.减，3.免）
&emsp;sealWay|String|盖章方式
&emsp;isjianm|String|是否减免（0.否，1.是）
&emsp;isLack|String|材料是否容缺（1.必要，2.非必要）
&emsp;ybUrl|String|材料地址
&emsp;materialSourceSm|String|来源渠道说明
&emsp;remarkSub|String|填报须知
&emsp;clauseContent|String|要求提供材料的依据
&emsp;summary|String|受理标准
&emsp;remark|String|备注
&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
dict|object|字典对象
&emsp;isMust|object|字典属性对象，详见附录
&emsp;materialProperty|object|字典属性对象，详见附录
&emsp;electronicgs|object|字典属性对象，详见附录
&emsp;materialSource|object|字典属性对象，详见附录
&emsp;jianmMs|object|字典属性对象，详见附录
&emsp;isjianm|object|字典属性对象，详见附录
&emsp;isLack|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6834,
            "siteId":5454,
            "siteName":"82g15f",
            "datumId":3495,
            "matterId":554,
            "matterCode":"l0a8qy",
            "matterName":"uuw4p3",
            "materialName":"dpptsw",
            "isMust":"txjjnd",
            "materialType":"ra108j",
            "materialProperty":"edkjc3",
            "electronicgs":"ymkml0",
            "materialSource":"r1cj3x",
            "paperNum":348,
            "paperGg":"ht3o1g",
            "jianmMs":"4plgr5",
            "sealWay":"k22ru8",
            "isjianm":"20r64n",
            "isLack":"5r3f4k",
            "ybUrl":"e6yqvi",
            "materialSourceSm":"ccr6z7",
            "remarkSub":"p0sweq",
            "clauseContent":"q9h7gu",
            "summary":"xnyznn",
            "remark":"9d3ose",
            "source":4557,
            "createTime":"2023-04-07",
            "createUserId":7762,
            "updateTime":"2023-04-07"
        }
}
```

### 保存更新站点材料公共库

**请求URL:** datum/library/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新站点材料公共库：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
siteName|String|否|站点名称
datumId|Long|否|材料id
matterId|Long|否|事项基础表matter id
matterCode|String|否|事项编码
matterName|String|否|事项名称
materialName|String|是|材料名
isMust|String|否|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
materialType|String|否|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
materialProperty|String|否|材料形式（1.纸质，2.电子，3.纸质|电子）
electronicgs|String|否|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
materialSource|String|否|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
paperNum|Integer|否|纸质材料份数
paperGg|String|否|纸质材料规格
jianmMs|String|否|减免模式（1.无，2.减，3.免）
sealWay|String|否|盖章方式
isjianm|String|否|是否减免（0.否，1.是）
isLack|String|否|材料是否容缺（1.必要，2.非必要）
ybUrl|String|否|材料地址
materialSourceSm|String|否|来源渠道说明
remarkSub|String|否|填报须知
clauseContent|String|否|要求提供材料的依据
summary|String|否|受理标准
remark|String|否|备注
source|Integer|否|事项来源(0.政务网，1.自定义)

**请求样例:**
```
{
    "siteId":1281,
    "siteName":"9ohrie",
    "datumId":8950,
    "matterId":1309,
    "matterCode":"kl1i7h",
    "matterName":"so6p9w",
    "materialName":"5omzar",
    "isMust":"si1y51",
    "materialType":"ppbsqo",
    "materialProperty":"1mwnn5",
    "electronicgs":"o9s7y8",
    "materialSource":"xcp14s",
    "paperNum":5232,
    "paperGg":"iq63ep",
    "jianmMs":"ntf8ud",
    "sealWay":"sxjk20",
    "isjianm":"c0wevw",
    "isLack":"bj7kzi",
    "ybUrl":"xaa4qt",
    "materialSourceSm":"tqt5qr",
    "remarkSub":"cngny6",
    "clauseContent":"c3pqwa",
    "summary":"r98n4m",
    "remark":"99vspw",
    "source":5759,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;datumId|Long|材料id
&emsp;&emsp;matterId|Long|事项基础表matter id
&emsp;&emsp;matterCode|String|事项编码
&emsp;&emsp;matterName|String|事项名称
&emsp;&emsp;materialName|String|材料名
&emsp;&emsp;isMust|String|必交性（1.非必要，2.必要，3.必要|容缺后补，4.非必要|容缺后补）
&emsp;&emsp;materialType|String|材料类型（1.无，2.原件，3.复印件，4.原件和复印件)
&emsp;&emsp;materialProperty|String|材料形式（1.纸质，2.电子，3.纸质|电子）
&emsp;&emsp;electronicgs|String|电子材料格式（1.无，2.不限，3.jpg，4.jpeg，5.pdf，6.word，7.pdf,jpg,jpeg，8.pdf,jpg）
&emsp;&emsp;materialSource|String|材料来源渠道（1.无，2.申请人自备，3.政府部门核发，4.其他）
&emsp;&emsp;paperNum|Integer|纸质材料份数
&emsp;&emsp;paperGg|String|纸质材料规格
&emsp;&emsp;jianmMs|String|减免模式（1.无，2.减，3.免）
&emsp;&emsp;sealWay|String|盖章方式
&emsp;&emsp;isjianm|String|是否减免（0.否，1.是）
&emsp;&emsp;isLack|String|材料是否容缺（1.必要，2.非必要）
&emsp;&emsp;ybUrl|String|材料地址
&emsp;&emsp;materialSourceSm|String|来源渠道说明
&emsp;&emsp;remarkSub|String|填报须知
&emsp;&emsp;clauseContent|String|要求提供材料的依据
&emsp;&emsp;summary|String|受理标准
&emsp;&emsp;remark|String|备注
&emsp;&emsp;source|Integer|事项来源(0.政务网，1.自定义)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除站点材料公共库

**请求URL:** datum/library/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除站点材料公共库

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/datum/library/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```


## 后台管理接口

### 查询部门列表

**请求URL:** sst/dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点ID
name|String|否|部门名称
page|int|是|页码
size|int|是|每页显示数

**请求样例:**
```
{
	"siteId": 2,
	"size": 5,
	"page": 1
}
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 查询站点事项列表

**请求URL:** sst/site/matter/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点ID
matterId|Long|否|事项基础表matter id
matterName|String|否|事项名称
deptId|Long|否|部门id
page|int|是|页码
size|int|是|每页显示数

**请求样例:**
```
{
	"siteId": 2,
	"size": 5,
	"page": 1
}
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 查询事项主题列表

**请求URL:** sst/site/theme/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|是|站点ID
themeName|String|否|主题名称
page|int|是|页码
size|int|是|每页显示数

**请求样例:**
```
{
	"siteId": 2,
	"size": 5,
	"page": 1
}
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 站点事项加入申请事项

**请求URL:** sst/site/matter/addToAssist

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteMatterIds|String|是|站点事项ID

**请求样例:**
```
{
	"siteMatterIds":"1,2,3,4"
}
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 公共库加入材料

**请求URL:** sst/datum/library/addToMatterDatum

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
libraryIds|String|是|公共库ID

**请求样例:**
```
{
	"libraryIds":"1,2,3,4"
}
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 材料加入公共库

**请求URL:** matter/datum/addToLibrary

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
datumIds|String|是|公共库ID
siteId|Long|是|站点ID

**请求样例:**
```
{
	"datumIds": "19,20",
    "siteId": 1
}
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 查询站点基础事项详情

**请求URL:** sst/base/matter/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
matterId|Long|是|基础事项ID

**请求样例:**
```
http://localhost:17217/sst/base/matter/info?matterId=1
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;matterInfo|object|事项信息
&emsp;matterAccept|object|事项受理条件
&emsp;matterIntermediary|object|事项中介服务表
&emsp;matterSetbase|object|事项设定依据表
&emsp;matterQuestion|object|事项常见问题
&emsp;matterFlowlimit|object|事项办理流程
&emsp;matterCharges|object|事项收费标准

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "matterCharges": [
            {
                "content": "",
                "createTime": 1680871452000,
                "createUserId": 1,
                "deleted": 0,
                "id": 42,
                "matterCode": "511Z75017001-511500000000-000-11511200731635085N-1-00",
                "matterId": 1,
                "matterName": "对不按规定向社会开放、提供利用档案的行为的查处",
                "source": 0
            }
        ],
        "matterFlowlimit": [
            {
                "createTime": 1680871452000,
                "createUserId": 1,
                "deleted": 0,
                "flowDesc": "无",
                "flowLimit": "0个工作日",
                "flowName": "审查",
                "flowTime": "0个工作日",
                "id": 22,
                "matterCode": "511Z75017001-511500000000-000-11511200731635085N-1-00",
                "matterId": 1,
                "matterName": "对不按规定向社会开放、提供利用档案的行为的查处",
                "source": 0
            },
            {
                "createTime": 1680871452000,
                "createUserId": 1,
                "deleted": 0,
                "flowDesc": "",
                "flowLimit": "0个工作日",
                "flowName": "决定",
                "flowTime": "0个工作日",
                "id": 23,
                "matterCode": "511Z75017001-511500000000-000-11511200731635085N-1-00",
                "matterId": 1,
                "matterName": "对不按规定向社会开放、提供利用档案的行为的查处",
                "source": 0
            },
            {
                "createTime": 1680871452000,
                "createUserId": 1,
                "deleted": 0,
                "flowDesc": "",
                "flowLimit": "",
                "flowName": "",
                "flowTime": "",
                "id": 24,
                "matterCode": "511Z75017001-511500000000-000-11511200731635085N-1-00",
                "matterId": 1,
                "matterName": "对不按规定向社会开放、提供利用档案的行为的查处",
                "source": 0
            }
        ],
        "matterQuestion": [],
        "matterSetbase": [
            {
                "content": "单位或者个人有下列行为之一，由县级以上档案主管部门、有关机关对直接负责的主管人员和其他直接责任人员依法给予处分：（一）丢失属于国家所有的档案的；（二）擅自提供、抄录、复制、公布属于国家所有的档案的；（三）买卖或者非法转让属于国家所有的档案的；（四）篡改、损毁、伪造档案或者擅自销毁档案的；（五）将档案出卖、赠送给外国人或者外国组织的；（六）不按规定归档或者不按期移交档案，被责令改正而拒不改正的；（七）不按规定向社会开放、提供利用档案的；（八）明知存在档案安全隐患而不采取补救措施，造成档案损毁、灭失，或者存在档案安全隐患被责令限期整改而逾期未整改的；（九）发生档案安全事故后，不采取抢救措施或者隐瞒不报、拒绝调查的；（十）档案工作人员玩忽职守，造成档案损毁、灭失的。",
                "createTime": 1680871452000,
                "createUserId": 1,
                "deleted": 0,
                "id": 81,
                "matterCode": "511Z75017001-511500000000-000-11511200731635085N-1-00",
                "matterId": 1,
                "matterName": "对不按规定向社会开放、提供利用档案的行为的查处",
                "policyName": "中华人民共和国档案法",
                "policyType": "法律",
                "policyitem": "第四十八条",
                "source": 0
            }
        ],
        "matterIntermediary": [],
        "matterAccept": [
            {
                "content": "",
                "createTime": 1680871452000,
                "createUserId": 1,
                "deleted": 0,
                "id": 42,
                "matterCode": "511Z75017001-511500000000-000-11511200731635085N-1-00",
                "matterId": 1,
                "matterName": "对不按规定向社会开放、提供利用档案的行为的查处",
                "source": 0
            }
        ],
        "matterInfo": {
            "appoveObjectShow": "事业法人",
            "appoveTimeLimitShow": "网络办件",
            "areaCode": "511500000000",
            "baseCode": "511075017000",
            "belongDept": "",
            "certificationLevelsShow": "实名认证",
            "cousultingShow": "",
            "cousultingTelephoneShow": "",
            "deleted": 0,
            "deptCode": "4106381986208358400",
            "deptName": "",
            "englishName": "",
            "entrustmentDepartmen": "是",
            "evaluationUrl": "",
            "eventTypeShow": "其他行政权力",
            "goveServiceCenterShow": "否",
            "groupName": "",
            "handleType": "窗口办理",
            "haveGetMatterInfo": "true",
            "id": 1,
            "implementBodyCode": "11511200731635085N",
            "implementCode": "11511200731635085N3511075017000",
            "isApplyProvinceShow": "否",
            "isChargesShow": "否",
            "isConvenientCenterShow": "否",
            "isDoorTakeShow": "否",
            "isExpressTakeOnlineShow": "",
            "isExpressTakeShow": "否",
            "isOnline": "是",
            "isOnlinePayShow": "是",
            "isOnlineSubscribeShow": "否",
            "isProvinceAcquisitionShow": "否",
            "jointInfoShow": "",
            "legalEndExplain": "",
            "legalTimeLimitShow": "",
            "matterEdition": "2",
            "matterName": "对不按规定向社会开放、提供利用档案的行为的查处",
            "matterNo": "511Z75017001-511500000000-000-11511200731635085N-1-00",
            "matterStatus": "在用",
            "mustSceneExplain": "",
            "netApplyUrl": "",
            "onlineMustSceneExplain": "",
            "onlineOperatDeep": "互联网咨询",
            "onlineToTheSceneNum": 0,
            "onlineType": "原件预审",
            "operatScopeShow": "无",
            "operateItemCode": "11511200731635085N351107501700002",
            "operateSite": "",
            "operateTime": "",
            "performDeptType": "中国共产党宜宾市委员会办公室",
            "performDeptTypeShow": "法定机关",
            "performHierarchyShow": "市级",
            "powerCode": "",
            "powerSourceShow": "法定本级行使",
            "promiseEndExplain": "",
            "promiseTimeLimitShow": "",
            "siteId": -1,
            "sort": 0,
            "source": 0,
            "specialProcedure": "",
            "superviseShow": "",
            "tcode": "511Z75017001-511500000000-000-11511200731635085N-1-00",
            "terminalHandle": "是",
            "themeCode": "",
            "tid": "",
            "tname": "对不按规定向社会开放、提供利用档案的行为的查处",
            "townshipCode": "",
            "townshipName": "",
            "type": "",
            "url": "http://www.sczwfw.gov.cn/jiq/front/transition/ysqToDetail?areaCode=511500000000&itemCode=511Z75017001-511500000000-000-11511200731635085N-1-00&taskType=10&deptCode=4106381986208358400",
            "usertypeCode": "",
            "villageCode": "",
            "villageName": ""
        }
    }
}

```

### 申报事项增加申报次数

**请求URL:** sst/matter/apply/addReport

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询站点事项列表

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|是|申报事项ID

**请求样例:**
```
http://localhost:17217/sst/matter/apply/addReport?id=21
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 字典附录
